#include "monitor/watchpoint.h"
#include "monitor/expr.h"


/*
For DOCUMENT WRITER:
DO NOT USE THE TERM "POOL" IF YOU DON't WANT AN real OBJECT POOL!!!

#include <rlib/pool.hpp>

rlib::fixed_object_pool<WP> wp_pool(NR_WP);

void init_wp_pool() {}

// thread-safe
WP *new_wp() {
  auto tmp = wp_pool.try_borrow_one();
  assert(tmp != nullptr);
  return tmp;
}

// thread-safe
void free_wp(WP *pobj) {
  wp_pool.release_one(pobj);
}
*/

std::list<WP> watchpoints;
int max_watchpoint_id = 0;
void init_wp_pool() {}




